# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%define _without_gcj_support 1
%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

%define section  free
%define namedversion  1.4.1-dev

Summary:        An open source enterprise search server based on the Lucene Java search library
Name:           apache-solr
Version:        1.4.0
Release:        1%{?dist}
Epoch:          0
License:        ASL 2.0
URL:            http://lucene.apache.org/solr/
Group:          Internet/WWW/Indexing/Search
# svn export http://svn.apache.org/repos/asf/lucene/solr/tags/release-1.4.0/ apache-solr-1.4.0
# tar czf apache-solr-1.4.0.tgz apache-solr-1.4.0/
Source0:        %{name}-%{version}.tgz
Source1:        http://repo1.maven.org/maven2/org/apache/solr/solr-parent/1.4.0/solr-parent-1.4.0.pom
Source2:        http://repo1.maven.org/maven2/org/apache/solr/solr-cell/1.4.0/solr-cell-1.4.0.pom
Source3:        http://repo1.maven.org/maven2/org/apache/solr/solr-clustering/1.4.0/solr-clustering-1.4.0.pom
Source4:        http://repo1.maven.org/maven2/org/apache/solr/solr-core/1.4.0/solr-core-1.4.0.pom
Source5:        http://repo1.maven.org/maven2/org/apache/solr/solr-dataimporthandler/1.4.0/solr-dataimporthandler-1.4.0.pom
Source6:        http://repo1.maven.org/maven2/org/apache/solr/solr-dataimporthandler-extras/1.4.0/solr-dataimporthandler-extras-1.4.0.pom
Source7:        http://repo1.maven.org/maven2/org/apache/solr/solr-commons-csv/1.4.0/solr-commons-csv-1.4.0.pom
Source8:        http://repo1.maven.org/maven2/org/apache/solr/solr-solrj/1.4.0/solr-solrj-1.4.0.pom
Source9:        http://repo1.maven.org/maven2/org/apache/solr/solr-velocity/1.4.0/solr-velocity-1.4.0.pom
Patch0:         apache-solr-common-build-xml.patch
Patch1:         apache-solr-ExtractingRequestHandler.patch

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  junit44
BuildRequires:  apache-commons-beanutils
BuildRequires:  apache-commons-codec
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-compress
BuildRequires:  apache-commons-csv
BuildRequires:  apache-commons-httpclient
BuildRequires:  apache-commons-io
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  apache-commons-fileupload
BuildRequires:  apache-tika
BuildRequires:  bouncycastle
BuildRequires:  dom4j
BuildRequires:  easymock
BuildRequires:  ecj3
BuildRequires:  ehcache
BuildRequires:  fontbox
BuildRequires:  geronimo-stax-1.0-api
BuildRequires:  google-collections
BuildRequires:  hsqldb
BuildRequires:  icu4j
BuildRequires:  jackson
BuildRequires:  jaf_1_1_api
BuildRequires:  glassfish-javamail141
BuildRequires:  jetty6
BuildRequires:  jetty6-jsp-2.1
BuildRequires:  jsp_2_1_api
BuildRequires:  log4j
BuildRequires:  lucene-core >= 0:2.9
BuildRequires:  lucene-contrib >= 0:2.9
BuildRequires:  nekohtml
BuildRequires:  objectweb-asm
BuildRequires:  pdfbox
BuildRequires:  jakarta-poi
BuildRequires:  servlet_2_4_api
BuildRequires:  servlet_2_5_api
BuildRequires:  slf4j
BuildRequires:  wstx
BuildRequires:  velocity
BuildRequires:  velocity-tools
BuildRequires:  xmlbeans

Requires:  java >= 0:1.6.0
Requires:  ant >= 0:1.7.1
Requires:  apache-commons-beanutils
Requires:  apache-commons-codec
Requires:  apache-commons-collections
Requires:  apache-commons-compress
Requires:  apache-commons-csv
Requires:  apache-commons-httpclient
Requires:  apache-commons-io
Requires:  apache-commons-lang
Requires:  apache-commons-logging
Requires:  apache-commons-fileupload
Requires:  apache-tika
Requires:  bouncycastle
Requires:  dom4j
Requires:  ecj3
Requires:  ehcache
Requires:  fontbox
Requires:  geronimo-stax-1.0-api
Requires:  google-collections
Requires:  icu4j
Requires:  jackson
Requires:  jaf_1_1_api
Requires:  glassfish-javamail141
Requires:  jetty6
Requires:  jetty6-jsp-2.1
Requires:  jsp_2_1_api
Requires:  log4j
Requires:  lucene-core >= 0:2.9
Requires:  lucene-contrib >= 0:2.9
Requires:  nekohtml
Requires:  objectweb-asm
Requires:  pdfbox
Requires:  jakarta-poi
Requires:  servlet_2_4_api
Requires:  servlet_2_5_api
Requires:  slf4j
Requires:  wstx
Requires:  velocity
Requires:  velocity-tools
Requires:  xmlbeans

%if %{gcj_support}
BuildRequires:    java-gcj-compat-devel >= 1.0.43
Requires(post):   java-gcj-compat >= 1.0.43
Requires(postun): java-gcj-compat >= 1.0.43
%else
BuildArch:	noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Solr is an open source enterprise search server based on the
Lucene Java search library, with XML/HTTP and JSON APIs, hit
highlighting, faceted search, caching, replication, a web 
administration interface and many more features. It runs in
a Java servlet container such as Tomcat.

%package javadoc
Summary:        Javadoc for solr
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{version}

%patch0 -b .sav0
%patch1 -b .sav1

# remove all binary libs
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
# contrib/clustering/lib/carrot2-mini-3.1.0.jar.no

# contrib/clustering/lib/commons-lang-2.4.jar.no
ln -sf $(build-classpath commons-lang) contrib/clustering/lib/commons-lang-2.4.jar
# contrib/clustering/lib/ehcache-1.6.2.jar.no
ln -sf $(build-classpath ehcache) contrib/clustering/lib/ehcache-1.6.2.jar
# contrib/clustering/lib/google-collections-1.0-rc2.jar.no
ln -sf $(build-classpath google-collections) contrib/clustering/lib/google-collections-1.0-rc2.jar
# contrib/clustering/lib/jackson-core-asl-0.9.9-6.jar.no
ln -sf $(build-classpath jackson/jackson-core-asl) contrib/clustering/lib/jackson-core-asl-0.9.9-6.jar
# contrib/clustering/lib/jackson-mapper-asl-0.9.9-6.jar.no
ln -sf $(build-classpath jackson/jackson-mapper-asl) contrib/clustering/lib/jackson-mapper-asl-0.9.9-6.jar
# contrib/clustering/lib/log4j-1.2.14.jar.no
ln -sf $(build-classpath log4j) contrib/clustering/lib/log4j-1.2.14.jar
# contrib/dataimporthandler/lib/activation-1.1.jar.no
ln -sf $(build-classpath jaf_1_1_api) contrib/dataimporthandler/lib/activation-1.1.jar
# contrib/dataimporthandler/lib/mail-1.4.1.jar.no
ln -sf $(build-classpath javamail_1_4_1_api) contrib/dataimporthandler/lib/mail-1.4.1.jar
# contrib/extraction/lib/asm-3.1.jar.no
ln -sf $(build-classpath objectweb-asm/asm) contrib/extraction/lib/asm-3.1.jar
# contrib/extraction/lib/bcmail-jdk14-136.jar.no
ln -sf $(build-classpath bcmail) contrib/extraction/lib/bcmail-jdk14-136.jar
# contrib/extraction/lib/bcprov-jdk14-136.jar.no
ln -sf $(build-classpath bcprov) contrib/extraction/lib/bcprov-jdk14-136.jar
# contrib/extraction/lib/commons-codec-1.3.jar.no
ln -sf $(build-classpath commons-codec) contrib/extraction/lib/commons-codec-1.3.jar
# contrib/extraction/lib/commons-compress-1.0.jar.no
ln -sf $(build-classpath commons-compress) contrib/extraction/lib/commons-compress-1.0.jar
# contrib/extraction/lib/commons-io-1.4.jar.no
ln -sf $(build-classpath commons-io) contrib/extraction/lib/commons-io-1.4.jar
# contrib/extraction/lib/commons-lang-2.1.jar.no
ln -sf $(build-classpath commons-lang) contrib/extraction/lib/commons-lang-2.1.jar
# contrib/extraction/lib/commons-logging-1.1.1.jar.no
ln -sf $(build-classpath commons-logging) contrib/extraction/lib/commons-logging-1.1.1.jar
# contrib/extraction/lib/dom4j-1.6.1.jar.no
ln -sf $(build-classpath dom4j) contrib/extraction/lib/dom4j-1.6.1.jar
# contrib/extraction/lib/fontbox-0.1.0.jar.no
ln -sf $(build-classpath fontbox) contrib/extraction/lib/fontbox-0.1.0.jar
# contrib/extraction/lib/geronimo-stax-api_1.0_spec-1.0.jar.no
ln -sf $(build-classpath geronimo-stax-1.0-api) contrib/extraction/lib/geronimo-stax-api_1.0_spec-1.0.jar
# contrib/extraction/lib/icu4j-3.8.jar.no
ln -sf $(build-classpath icu4j) contrib/extraction/lib/icu4j-3.8.jar
# contrib/extraction/lib/jempbox-0.2.0.jar.no

# contrib/extraction/lib/log4j-1.2.14.jar.no
ln -sf $(build-classpath log4j) contrib/extraction/lib/log4j-1.2.14.jar
# contrib/extraction/lib/nekohtml-1.9.9.jar.no
ln -sf $(build-classpath nekohtml) contrib/extraction/lib/nekohtml-1.9.9.jar
# contrib/extraction/lib/ooxml-schemas-1.0.jar.no

# contrib/extraction/lib/pdfbox-0.7.3.jar.no
ln -sf $(build-classpath pdfbox) contrib/extraction/lib/pdfbox-0.7.3.jar
# contrib/extraction/lib/poi-3.5-beta6.jar.no
ln -sf $(build-classpath poi) contrib/extraction/lib/poi-3.5-beta6.jar
# contrib/extraction/lib/poi-ooxml-3.5-beta6.jar.no

# contrib/extraction/lib/poi-scratchpad-3.5-beta6.jar.no
ln -sf $(build-classpath poi-scratchpad) contrib/extraction/lib/poi-scratchpad-3.5-beta6.jar

# contrib/extraction/lib/tika-core-0.4.jar.no
ln -sf $(build-classpath apache-tika/core) contrib/extraction/lib/tika-core-0.4.jar
# contrib/extraction/lib/tika-parsers-0.4.jar.no
ln -sf $(build-classpath apache-tika/parsers) contrib/extraction/lib/tika-parsers-0.4.jar
# contrib/extraction/lib/xercesImpl-2.8.1.jar.no

# contrib/extraction/lib/xml-apis-1.0.b2.jar.no

# contrib/extraction/lib/xmlbeans-2.3.0.jar.no
ln -sf $(build-classpath xmlbeans/xbean) contrib/extraction/lib/xmlbeans-2.3.0.jar
# contrib/velocity/src/main/solr/lib/commons-beanutils-1.7.0.jar.no
ln -sf $(build-classpath commons-beanutils) contrib/velocity/src/main/solr/lib/commons-beanutils-1.7.0.jar
# contrib/velocity/src/main/solr/lib/commons-collections-3.2.1.jar.no
ln -sf $(build-classpath commons-collections) contrib/velocity/src/main/solr/lib/commons-collections-3.2.1.jar
# contrib/velocity/src/main/solr/lib/commons-lang-2.4.jar.no
ln -sf $(build-classpath commons-lang) contrib/velocity/src/main/solr/lib/commons-lang-2.4.jar
# contrib/velocity/src/main/solr/lib/velocity-1.6.1.jar.no
ln -sf $(build-classpath velocity) contrib/velocity/src/main/solr/lib/velocity-1.6.1.jar
# contrib/velocity/src/main/solr/lib/velocity-tools-2.0-beta3.jar.no
ln -sf $(build-classpath velocity-tools) contrib/velocity/src/main/solr/lib/velocity-tools-2.0-beta3.jar
# example/example-DIH/solr/db/lib/hsqldb-1.8.0.10.jar.no
ln -sf $(build-classpath hsqldb) example/example-DIH/solr/db/lib/hsqldb-1.8.0.10.jar
# example/lib/jetty-6.1.3.jar.no
ln -sf $(build-classpath jetty6/jetty6) example/lib/jetty-6.1.3.jar
# example/lib/jetty-util-6.1.3.jar.no
ln -sf $(build-classpath jetty6/jetty6-util) example/lib/jetty-util-6.1.3.jar
# example/lib/jsp-2.1/ant-1.6.5.jar.no
ln -sf $(build-classpath ant) example/lib/jsp-2.1/ant-1.6.5.jar
# example/lib/jsp-2.1/core-3.1.1.jar.no
ln -sf $(build-classpath ecj3) example/lib/jsp-2.1/core-3.1.1.jar
# example/lib/jsp-2.1/jsp-2.1.jar.no
ln -sf $(build-classpath jetty6/jsp-2.1/jsp-2.1-jetty) example/lib/jsp-2.1/jsp-2.1.jar
# example/lib/jsp-2.1/jsp-api-2.1.jar.no
ln -sf $(build-classpath jsp_2_1_api) example/lib/jsp-2.1/jsp-api-2.1.jar
# example/lib/servlet-api-2.5-6.1.3.jar.no
ln -sf $(build-classpath servlet_2_5_api) example/lib/servlet-api-2.5-6.1.3.jar
# example/start.jar.no
ln -sf $(build-classpath jetty6/start) example/start.jar
# lib/commons-codec-1.3.jar.no
ln -sf $(build-classpath commons-codec) lib/commons-codec-1.3.jar
# lib/commons-csv-1.0-SNAPSHOT-r609327.jar.no
ln -sf $(build-classpath commons-csv) lib/commons-csv-1.0-SNAPSHOT-r609327.jar
# lib/commons-fileupload-1.2.1.jar.no
ln -sf $(build-classpath commons-fileupload) lib/commons-fileupload-1.2.1.jar
# lib/commons-httpclient-3.1.jar.no
ln -sf $(build-classpath commons-httpclient) lib/commons-httpclient-3.1.jar
# lib/commons-io-1.4.jar.no
ln -sf $(build-classpath commons-io) lib/commons-io-1.4.jar
# lib/easymock.jar.no
ln -sf $(build-classpath easymock) lib/easymock.jar
# lib/geronimo-stax-api_1.0_spec-1.0.1.jar.no
ln -sf $(build-classpath geronimo-stax-1.0-api) lib/geronimo-stax-api_1.0_spec-1.0.1.jar
# lib/jcl-over-slf4j-1.5.5.jar.no
ln -sf $(build-classpath slf4j/jcl-over-slf4j) lib/jcl-over-slf4j-1.5.5.jar
# lib/junit-4.3.jar.no
ln -sf $(build-classpath junit44) lib/junit-4.3.jar
# lib/lucene-analyzers-2.9.1.jar.no
ln -sf $(build-classpath lucene-contrib/lucene-analyzers) lib/lucene-analyzers-2.9.1.jar
# lib/lucene-core-2.9.1.jar.no
ln -sf $(build-classpath lucene-core) lib/lucene-core-2.9.1.jar
# lib/lucene-highlighter-2.9.1.jar.no
ln -sf $(build-classpath lucene-contrib/lucene-highlighter) lib/lucene-highlighter-2.9.1.jar
# lib/lucene-memory-2.9.1.jar.no
ln -sf $(build-classpath lucene-contrib/lucene-memory) lib/lucene-memory-2.9.1.jar
# lib/lucene-misc-2.9.1.jar.no
ln -sf $(build-classpath lucene-contrib/lucene-misc) lib/lucene-misc-2.9.1.jar
# lib/lucene-queries-2.9.1.jar.no
ln -sf $(build-classpath lucene-contrib/lucene-queries) lib/lucene-queries-2.9.1.jar
# lib/lucene-snowball-2.9.1.jar.no
ln -sf $(build-classpath lucene-contrib/lucene-snowball) lib/lucene-snowball-2.9.1.jar
# lib/lucene-spellchecker-2.9.1.jar.no
ln -sf $(build-classpath lucene-contrib/lucene-spellchecker) lib/lucene-spellchecker-2.9.1.jar
# lib/servlet-api-2.4.jar.no
ln -sf $(build-classpath servlet_2_4_api) lib/servlet-api-2.4.jar
# lib/slf4j-api-1.5.5.jar.no
ln -sf $(build-classpath slf4j/slf4j-api) lib/slf4j-api-1.5.5.jar
# lib/slf4j-jdk14-1.5.5.jar.no
ln -sf $(build-classpath slf4j/slf4j-jdk14) lib/slf4j-jdk14-1.5.5.jar
# lib/wstx-asl-3.2.7.jar.no
ln -sf $(build-classpath wstx/wstx-asl) lib/wstx-asl-3.2.7.jar

%build
mkdir -p docs
mkdir -p lib
export OPT_JAR_LIST="ant/ant-junit junit"
#export CLASSPATH=$(build-classpath-directory /usr/share/java/lucene-contrib):$(build-classpath xdoclet maven-ant-tasks jetty6/jetty6 jetty6/jetty6-util lucene-core stax_1_0_api stax-utils commons-fileupload commons-codec commons-httpclient commons-io commons-logging commons-csv servlet_2_5_api)

ant create-package
#  package test generate-test-reports

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -m 0644 dist/%{name}-cell-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-cell-%{version}.jar
install -m 0644 dist/%{name}-clustering-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-clustering-%{version}.jar
install -m 0644 dist/%{name}-core-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-core-%{version}.jar
install -m 0644 dist/%{name}-dataimporthandler-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-dataimporthandler-%{version}.jar
install -m 0644 dist/%{name}-dataimporthandler-extras-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-dataimporthandler-extras-%{version}.jar
install -m 0644 dist/%{name}-solrj-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-solrj-%{version}.jar
install -m 0644 build/apache-solr-%{namedversion}/contrib/velocity/src/main/solr/lib/apache-solr-velocity-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-velocity-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 0644 dist/%{name}-%{namedversion}.war $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}-%{version}.war
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath commons-codec) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath commons-httpclient) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath commons-io) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath stax_1_0_api) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath slf4j/jcl-over-slf4j) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath slf4j/slf4j-api) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath wstx/wstx-asl) $RPM_BUILD_ROOT%{_datadir}/%{name}/lib

# poms
install -d -m 0755 %{buildroot}%{_datadir}/maven2/poms
sed -i "s|@maven_version@|%{version}|g" %{SOURCE1}
install -p -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-parent.pom
%add_to_maven_depmap org.apache.solr solr-parent %{version} JPP/%{name}-parent parent

install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-cell.pom
%add_to_maven_depmap org.apache.solr solr-cell %{version} JPP %{name}-cell

install -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-clustering.pom
%add_to_maven_depmap org.apache.solr solr-clustering %{version} JPP %{name}-clustering

install -m 0644 %{SOURCE4} %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-core.pom
%add_to_maven_depmap org.apache.solr solr-core %{version} JPP %{name}-core

install -m 0644 %{SOURCE5} %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-dataimporthandler.pom
%add_to_maven_depmap org.apache.solr solr-dataimporthandler %{version} JPP %{name}-dataimporthandler

install -m 0644 %{SOURCE6} %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-dataimporthandler-extras.pom
%add_to_maven_depmap org.apache.solr solr-dataimporthandler-extras %{version} JPP %{name}-dataimporthandler-extras

install -m 0644 %{SOURCE8} %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-solrj.pom
%add_to_maven_depmap org.apache.solr solr-solrj %{version} JPP %{name}-solrj


# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/api/* \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi

%postun
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(0644,root,root,0755)
%doc CHANGES.txt LICENSE.txt README.txt KEYS
%{_javadir}/*.jar
%{_datadir}/%{name}
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Tue Nov 29 2011 Ralph Apel <r.apel@r-apel.de> - 1.4.0-1
- 1.3.0 won't do with lucene 2.4

* Thu Feb 04 2010 Yiqiao Wang <yiwang@redhat.com> - 1.3.0-1.1
- Disable aot Compiler. 

* Mon Jul 20 2009 Yong Yang <yyang@redhat.com> - 1.3.0-1
- First release.
